## org.eclipse.xsd.ecore
Class MapBuilder

    java.lang.Object
      org.eclipse.xsd.ecore.NameMangler
          org.eclipse.xsd.ecore.MapBuilder

Direct Known Subclasses:
  EcoreSchemaBuilder, EcoreXMLSchemaBuilder, XSDEcoreBuilder

    public class MapBuilder

extends NameMangler

Nested Class Summary
`static interface` `MapBuilder.Mapper`

Field Summary
`protected MapBuilder.Mapper` `mapper`
`protected java.util.Map<XSDComponent,EModelElement>` `xsdComponentToEModelElementMap`

Fields inherited from class org.eclipse.xsd.ecore.NameMangler
`DOMAINS, LOWER_CASE, UNCHANGED_CASE, UPPER_CASE`

Constructor Summary
`MapBuilder()`

Method Summary
`protected void` `addInput(EObject eObject)`
`protected void` `addOutput(EObject eObject)`
`protected void` `map(XSDComponent xsdComponent, EModelElement eModelElement)`
`void` `setMapper(MapBuilder.Mapper mapper)`

Methods inherited from class org.eclipse.xsd.ecore.NameMangler
`parseName, qualifiedPackageName, uncapName, validName, validName, validName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mapper

    protected MapBuilder.Mapper mapper

### xsdComponentToEModelElementMap

    protected java.util.Map<XSDComponent,EModelElement> xsdComponentToEModelElementMap

Constructor Detail

### MapBuilder

    public MapBuilder()

Method Detail

### setMapper

    public void setMapper(MapBuilder.Mapper mapper)

### map

    protected void map(XSDComponent xsdComponent,
                       EModelElement eModelElement)

### addInput

    protected void addInput(EObject eObject)

### addOutput

    protected void addOutput(EObject eObject)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.